/* exported enable disable */
const Main = imports.ui.main;
const SessionMode = imports.ui.sessionMode;

class MoveClockExtension {
    enable() {
        const panel = SessionMode._modes['user'].panel;

        const clockIndex = panel.center.indexOf('dateMenu');
        this._modified = clockIndex !== -1;

        if (!this._modified)
            return;

        panel.center.splice(clockIndex, 1);
        panel.right.splice(-1, 0, 'dateMenu');

        Main.panel._updatePanel();
    }

    disable() {
        if (!this._modified)
            return;

        const panel = SessionMode._modes['user'].panel;
        const clockIndex = panel.right.indexOf('dateMenu');

        if (clockIndex !== -1)
            panel.right.splice(clockIndex, 1);
        panel.center.unshift('dateMenu');

        Main.panel._updatePanel();
    }
}

function init() {
    return new MoveClockExtension();
}
